Arch CloseHoles/es: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 4: Line 4:
|[[Arch_RemoveShape|Remove Shape]]
|[[Arch_RemoveShape|Remove Shape]]
|[[Arch_MergeWalls|Merge Walls]]
|[[Arch_MergeWalls|Merge Walls]]
|[[Arch_Module|Arch]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_RemoveShape.svg
|IconL=Arch_RemoveShape.svg
|IconR=Arch_MergeWalls.svg
|IconR=Arch_MergeWalls.svg
Line 69: Line 69:
|[[Arch_RemoveShape|Remove Shape]]
|[[Arch_RemoveShape|Remove Shape]]
|[[Arch_MergeWalls|Merge Walls]]
|[[Arch_MergeWalls|Merge Walls]]
|[[Arch_Module|Arch]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_RemoveShape.svg
|IconL=Arch_RemoveShape.svg
|IconR=Arch_MergeWalls.svg
|IconR=Arch_MergeWalls.svg

Revision as of 09:38, 25 August 2021

Tapar agujeros

Ubicación en el Menú
Arquitectura → Utilidades → Tapar agujeros
Entornos de trabajo
Arquitectura
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
Comprobar

Descripción

Esta herramienta identifica agujeros (secuencia circular de aristas abiertas) in un objeto Forma y trata de cerrarlo añadiendo una nueva cara a partir de dicha secuencia de aristas. Aunque debes verificar que el resultado es un sólido.

Utilización

  1. Seleccione un objeto Shape
  2. Presione la entrada Cerrar agujeros en Arch -> Menú Utilidades

Programación

Esta herramienta se puede utilizar en macros y desde la consola de Python por medio de las siguientes funciones:

solid = closeHole(shape)

cierra un agujero en una forma abierta

Example:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute() 

solid = Arch.closeHole(Wall.Shape)